Skip to main content
POST
/
registry
/
v1
/
agents
Register an agent
curl --request POST \
  --url https://api.swarmd.ai/registry/v1/agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentCardUrl": "<string>",
  "healthCheckUrl": "<string>",
  "visibility": "PUBLIC"
}
'
{
  "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientSecret": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Body

application/json
agentCardUrl
string
required
healthCheckUrl
string
visibility
enum<string>
Available options:
PUBLIC,
PRIVATE,
INTERNAL

Response

200 - */*

OK

agentId
string<uuid>
required
clientSecret
string
required